FriendlyCaptcha for Drupal
====================

The FriendlyCaptcha module uses the FriendlyCaptcha web service to
improve the CAPTCHA system. For
more information on what FriendlyCaptcha is, please visit:
    https://friendlycaptcha.com


DEPENDENCIES
------------

* FriendlyCaptcha module depends on the CAPTCHA module.
  https://www.drupal.org/project/captcha


INSTALLATION
------------

 * Copy the friendly-challenge javascript library to your libraries folder,
   typically sites/all/libraries/friendly-challenge
   URL: https://unpkg.com/friendly-challenge@0.8.11/widget.min.js
   (resulting in: sites/all/libraries/friendly-challenge/widget.min.js)


CONFIGURATION
-------------

1. Enable FriendlyCaptcha and CAPTCHA modules in:
       admin/modules

2. You'll now find a FriendlyCaptcha tab in the CAPTCHA
   administration page available at:
       admin/config/people/captcha/friendlycaptcha

3. Register your web site at
       https://friendlycaptcha.com

4. Input the optional site key and required private API key into the FriendlyCaptcha settings.

5. Visit the Captcha administration page and set where you
   want the FriendlyCaptcha form to be presented:
       admin/config/people/captcha

THANK YOU
---------

 * Thank you goes to the FriendlyCaptcha team for all their
   help, support and their amazing Captcha solution
       https://friendlycaptcha.com
